Summary:	Generic monitor plugin for the Xfce4 Panel
Summary(pl.UTF-8):	Wtyczka ogólnego przeznaczenia dla panelu Xfce4
Name:		xfce4-genmon-plugin
Version:	4.2.1
Release:	1
License:	LGPL v2.1
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-genmon-plugin/4.2/%{name}-%{version}.tar.bz2
# Source0-md5:	d8e9a6b5ad86a95fa7e64d9acb054c94
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-genmon-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
BuildRequires:	xfconf-devel >= 4.16.0
Obsoletes:	xfce4-genmon-plugin-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GenMon plugin cyclically spawns the indicated script/program,
captures its output and displays it as a string into the panel.

%description -l pl.UTF-8
Wtyczka GenMon cyklicznie wykonuje podany skrypt lub program,
przechwytując jego standardowe wyjście i wyświetla je w postaci
tekstowej na panelu.

%package scripts
Summary:	Sample scripts for xfce4-genmon-plugin
Summary(pl.UTF-8):	Przykładowe skrypty dla xfce4-genmon-plugin
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description scripts
Sample scripts for xfce4-genmon-plugin.

%description scripts -l pl.UTF-8
Przykładowe skrypty dla xfce4-genmon-plugin.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if 0
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p scripts/{datetime,disktemp,dkspuse,monBat,monCPU,monTime,monUSB,monWIFI,samples.txt} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/
%endif

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libgenmon.so
%{_datadir}/xfce4/panel/plugins/genmon.desktop
%{_iconsdir}/hicolor/*x*/apps/org.xfce.genmon.png
%{_iconsdir}/hicolor/scalable/apps/org.xfce.genmon.svg

%if 0
%files scripts
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/datetime
%{_examplesdir}/%{name}-%{version}/disktemp
%{_examplesdir}/%{name}-%{version}/dkspuse
%{_examplesdir}/%{name}-%{version}/monBat
%{_examplesdir}/%{name}-%{version}/monCPU
%{_examplesdir}/%{name}-%{version}/monTime
%{_examplesdir}/%{name}-%{version}/monUSB
%{_examplesdir}/%{name}-%{version}/monWIFI
%{_examplesdir}/%{name}-%{version}/samples.txt
%endif
%changelog
* Sat Dec 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-genmon-plugin.git;a=log;h=master

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a96be9d
- up to 4.2.1

* Mon Apr 17 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14ce66c
- up to 4.2.0

* Sat Mar 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8535801
- up to 4.1.1

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> e9db1f9
- up to 4.1.0

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 11c0847
- up to 4.0.2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 4e78efe
- rebuild for XFCE 4.12
- release 4 (by relup.sh)

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> b938f43
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> e172016
- updated gettext BR

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 717e36a
- rel 2
- no ur_PK locale

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 7030c6e
- remove la files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 7726d43
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 604dc94
- pt locale fixed upsteam

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 23907b4
- 3.4.0
- removed obsolete patches

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 0a4c512
- rel 4
- ported to libxfce4ui

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5c1b994
- added link.patch
- release 3

* Thu Feb 17 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 79ab2fd
- fix linking

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9e5145e
- BR: gettext-devel, perl-XML-Parser

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 7f894b8
- rel 2
- fix pt_PT locale

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> f281f14
- 3.2
- scripts are gone from the tarball

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f1c384b
- tabs in preamble

